PAM_GETENV(3) | Library Functions Manual | PAM_GETENV(3)

# NAME

`pam_getenv` — retrieve the value of a PAM environment variable

# SYNOPSIS

`#include <sys/types.h>`
`#include <security/pam_appl.h>`

const char *
`pam_getenv`(pam_handle_t *pamh, const char *name);

# DESCRIPTION

The `pam_getenv`() function returns the value of an environment variable. Its semantics are similar to those of getenv(3), but it accesses the PAM context's environment list instead of the application's.

# RETURN VALUES

The `pam_getenv`() function returns `NULL` on failure.

# SEE ALSO

getenv(3), pam(3), pam_getenvlist(3), pam_putenv(3), pam_setenv(3)

# STANDARDS

X/Open Single Sign-On Service (XSSO) - Pluggable Authentication Modules, June 1997.

# AUTHORS

The `pam_getenv`() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.

The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.

June 27, 2023 | NetBSD 11.0